module Jekyll
	class MarkdownBlock < Liquid::Block
		def initialize(tag_name, text, tokens)
			super
		end

		require "redcarpet"

		def render(context)
			content = super

			"#{Redcarpet::Markdown.new(Redcarpet::Render::HTML).render(content)}"
		end
	end
end

Liquid::Template.register_tag('markdown', Jekyll::MarkdownBlock)
